GNU bug report logs - #18135
Emacs bug # 3735 definitely not fixed (5 years later)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Don Hopkins <don@HIDDEN>; merged with #3735; dated Mon, 28 Jul 2014 22:41:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 3735 18135. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Jul 2014 22:40:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 28 18:40:15 2014
Received: from localhost ([127.0.0.1]:41395 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XBtaX-0008FM-Fn
	for submit <at> debbugs.gnu.org; Mon, 28 Jul 2014 18:40:14 -0400
Received: from eggs.gnu.org ([208.118.235.92]:51684)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <simhacker@HIDDEN>) id 1XBkQU-00027d-3S
 for submit <at> debbugs.gnu.org; Mon, 28 Jul 2014 08:53:18 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <simhacker@HIDDEN>) id 1XBkQJ-0006x2-Hc
 for submit <at> debbugs.gnu.org; Mon, 28 Jul 2014 08:53:08 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_MESSAGE,T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:41222)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <simhacker@HIDDEN>) id 1XBkQJ-0006wx-Eb
 for submit <at> debbugs.gnu.org; Mon, 28 Jul 2014 08:53:03 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:53355)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <simhacker@HIDDEN>) id 1XBkQD-0006uU-VB
 for bug-gnu-emacs@HIDDEN; Mon, 28 Jul 2014 08:53:03 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <simhacker@HIDDEN>) id 1XBkQ8-0006vv-Gr
 for bug-gnu-emacs@HIDDEN; Mon, 28 Jul 2014 08:52:57 -0400
Received: from mail-wi0-x233.google.com ([2a00:1450:400c:c05::233]:39345)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <simhacker@HIDDEN>) id 1XBkQ8-0006vr-8s
 for bug-gnu-emacs@HIDDEN; Mon, 28 Jul 2014 08:52:52 -0400
Received: by mail-wi0-f179.google.com with SMTP id f8so4299184wiw.6
 for <bug-gnu-emacs@HIDDEN>; Mon, 28 Jul 2014 05:52:48 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=sender:from:content-type:subject:date:message-id:cc:to:mime-version;
 bh=MzJFZEJF7sPpDse2D/vkWgc+txTYxrcH3JA0sx7tDjw=;
 b=bMsMluN9TuzQvnNCmEA4AcmJFIi3fmrpvfWNL0VFXlktjKWJgDtfqolzboHfG+D53r
 ApkZcECIBlcBBWBzfKXt/XzmOXqCSemtI0QRvZXGpzUzn8fmv4NStX+YwFjm3wXcM8fc
 Usi363RlXq2h0H4+Cb2HZO//YoyC4LjV7bm6OBBuaC4X6wHCpJicZmUbgBKyEX4qC1SB
 /m7mG2O8PJUJKrPgOCQUqcyRZ/fVBl2AMOm+cQY4sUgRh3pneobOqiAJM+trYztMlGQV
 NNxzwY8e5iIYqQB38qYJif6hcvOaDsQh/XVE+R8Zz/cnHrSLRELf1/RNzlpl3pXpw5i1
 PySQ==
X-Received: by 10.180.10.166 with SMTP id j6mr31273680wib.73.1406551968250;
 Mon, 28 Jul 2014 05:52:48 -0700 (PDT)
Received: from [192.168.2.22] (92-108-60-150.dynamic.upc.nl. [92.108.60.150])
 by mx.google.com with ESMTPSA id
 d4sm31114573wiy.13.2014.07.28.05.52.46 for <multiple recipients>
 (version=TLSv1 cipher=ECDHE-RSA-RC4-SHA bits=128/128);
 Mon, 28 Jul 2014 05:52:47 -0700 (PDT)
From: Don Hopkins <don@HIDDEN>
X-Google-Original-From: Don Hopkins <SimHacker@HIDDEN>
Content-Type: multipart/signed;
 boundary="Apple-Mail=_537201DD-0039-4195-B78E-CC81C913A0B4";
 protocol="application/pgp-signature"; micalg=pgp-sha1
Subject: Emacs bug # 3735 definitely not fixed (5 years later)
Date: Mon, 28 Jul 2014 14:52:45 +0200
Message-Id: <9A88C51B-AE7B-4FD8-9929-6F058AC23AE6@HIDDEN>
To: dsb@HIDDEN,
 cyd@HIDDEN,
 bug-gnu-emacs@HIDDEN
Mime-Version: 1.0 (Mac OS X Mail 6.6 \(1510\))
X-Mailer: Apple Mail (2.1510)
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 28 Jul 2014 18:40:11 -0400
Cc: Don Hopkins <dhopkins@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)


--Apple-Mail=_537201DD-0039-4195-B78E-CC81C913A0B4
Content-Type: multipart/alternative;
	boundary="Apple-Mail=_E07F7DC1-8D16-4CE2-BA41-0D6A3D264D2A"


--Apple-Mail=_E07F7DC1-8D16-4CE2-BA41-0D6A3D264D2A
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=us-ascii

Daniel submitted this excellent bug report for a bug that has really =
been causing me problems, which was claimed to have been fixed, but =
definitely is not fixed in Emacs 23.3.1 or 24.3.1.=20

http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D3735

Chong mentioned it was fixed in Emacs 23, but said he didn't recall who =
fixed it.
Apparently it was put back in and has been back for a long time.=20
Could you please investigate to see who fixed it, and who put it back =
in, and WHY?=20
This bug REALLY needs to be fixed, as it makes shell mode practically =
unusable, and as Daniel described, can lead to some very dangerous and =
inexplicable accidents.=20
And whoever put the bug back in after it was fixed last time needs to =
stop doing that, please.=20

-Don




--Apple-Mail=_E07F7DC1-8D16-4CE2-BA41-0D6A3D264D2A
Content-Transfer-Encoding: quoted-printable
Content-Type: text/html;
	charset=us-ascii

<html><head><meta http-equiv=3D"Content-Type" content=3D"text/html =
charset=3Dus-ascii"></head><body style=3D"word-wrap: break-word; =
-webkit-nbsp-mode: space; -webkit-line-break: after-white-space; =
"><div>Daniel submitted this excellent bug report for a bug that has =
really been causing me problems, which was claimed to have been fixed, =
but definitely is not fixed in Emacs 23.3.1 or =
24.3.1.&nbsp;</div><div><br></div><div><a =
href=3D"http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D3735">http://debbug=
s.gnu.org/cgi/bugreport.cgi?bug=3D3735</a></div><div><br></div><div>Chong =
mentioned it was fixed in Emacs 23, but said he didn't recall who fixed =
it.</div><div>Apparently it was put back in and has been back for a long =
time.&nbsp;</div><div>Could you please investigate to see who fixed it, =
and who put it back in, and WHY?&nbsp;</div><div>This bug REALLY needs =
to be fixed, as it makes shell mode practically unusable, and as Daniel =
described, can lead to some very dangerous and inexplicable =
accidents.&nbsp;</div><div>And whoever put the bug back in after it was =
fixed last time needs to stop doing that, =
please.&nbsp;</div><div><br></div><div>-Don</div><div><br></div><div><br><=
/div><div><br></div></body></html>=

--Apple-Mail=_E07F7DC1-8D16-4CE2-BA41-0D6A3D264D2A--

--Apple-Mail=_537201DD-0039-4195-B78E-CC81C913A0B4
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
	filename=signature.asc
Content-Type: application/pgp-signature;
	name=signature.asc
Content-Description: Message signed with OpenPGP using GPGMail

-----BEGIN PGP SIGNATURE-----
Comment: GPGTools - http://gpgtools.org

iQEcBAEBAgAGBQJT1kedAAoJENqWU3IyrE812EsIAKrzI1az87GlXpHsIyRntpZn
DCrVnhH8XuOROPWe1COD5sq3gdxqTqcK+Oni8y15IBb1JuSdIrrIZge2UUz23TnS
ZXda6GRwWkihQw5mNqEzvrVwfyR0y51SYphOiiEbu0CcP3WMeLO3ZmP6yLAvMZ+m
hTllIo7sENUHHOvSLSadXJw6MfT2Idl+4hr4pcJszzGtRhlbpndq/zJAaPUmLVCv
JBy4dlScv5pHIh96vANSnAsp3WztPg8Rj0hXLjDlQzTaqzYKPD5RhMG74NiLrJwd
oUU1ng24+UEVzOmKlZ5mcjxAjugqYQE9f4l3tvuGivb6lyQIeZp5pPoZRXsS8Ag=
=jJBl
-----END PGP SIGNATURE-----

--Apple-Mail=_537201DD-0039-4195-B78E-CC81C913A0B4--




Acknowledgement sent to Don Hopkins <don@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#18135; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.